package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$20 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var5 = BigInteger.valueOf(1L);
      BigInteger var1 = BigInteger.valueOf(1L);
      BigInteger var2 = SECNamedCurves.access$0("04000000000000000000020108A2E0CC0D99F8A5EF");
      BigInteger var3 = BigInteger.valueOf(2L);
      ECCurve.F2m var4;
      ECCurve.F2m var10000 = var4 = new ECCurve.F2m;
      var10000.<init>(163, 3, 6, 7, var5, var1, var2, var3);
      ECPoint var6 = var10000.decodePoint(Hex.decode("0402FE13C0537BBC11ACAA07D793DE4E6D5E5C94EEE80289070FB05D38FF58321F2E800536D538CCDAA3D9"));
      return new X9ECParameters(var4, var6, var2, var3, (byte[])null);
   }
}
